<?php
require_once __DIR__ . '/../../connect.php';

$country = filterRequest("country");

if (!empty($country)) {
    $sql = "SELECT * FROM `kazan` WHERE `country` = :country";
    $stmt = $con->prepare($sql);
    $stmt->bindParam(':country', $country, PDO::PARAM_STR);
} else {
    $sql = "SELECT * FROM `kazan` ORDER BY id DESC";
    $stmt = $con->prepare($sql);
}

$stmt->execute();
$row = $stmt->fetchAll(PDO::FETCH_ASSOC);

if ($row) {
    jsonSuccess($row);
} else {
    jsonSuccess([], "No Kazan record found");
}
?>